> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an existing contact from a list

> Remove a contact record that has already been created in the system from a contact list. Note that you cannot manually remove contacts from dynamic lists - they can only be updated by the contacts system based on the properties of the list itself.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json POST /contacts/v1/lists/{list_id}/remove
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/{list_id}/remove:
    post:
      summary: Remove an existing contact from a list
      description: >-
        Remove a contact record that has already been created in the system from
        a contact list. Note that you cannot manually remove contacts from
        dynamic lists - they can only be updated by the contacts system based on
        the properties of the list itself.
      operationId: postcontactsv1listslistidremove
      parameters:
        - name: list_id
          in: path
          required: true
          description: The list ID for the list you're removing the contact from.
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                vids:
                  type: array
                  items:
                    type: integer
                  description: >-
                    The contact IDs of the contacts that you're removing from
                    the list.
                emails:
                  type: array
                  items:
                    type: string
                  description: >-
                    The email addresses of the contacts that you're removing
                    from the list.
      responses:
        '200':
          description: Successful response with removal results
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated:
                    type: array
                    items:
                      type: integer
                  discarded:
                    type: array
                    items:
                      type: integer
                  invalidVids:
                    type: array
                    items:
                      type: integer
                  invalidEmails:
                    type: array
                    items:
                      type: string

````